%define upstream_name    Nagios-Object
%define upstream_version 0.21.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl objects to represent Nagios configuration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(List::Compare)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This module contains the code for creating perl objects to represent any of
the Nagios objects. All of the perl classes are auto-generated at
compile-time, so it's pretty trivial to add new attributes or even entire
objects. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc META.yml ChangeLog README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/config_status_demo.pl
/usr/bin/decode_flags.pl
/usr/bin/parse.pl
/usr/bin/statusdat_demo.pl
/usr/bin/test_configuration.pl
/usr/share/man/man1/config_status_demo.pl.1.xz
/usr/share/man/man1/decode_flags.pl.1.xz
/usr/share/man/man1/parse.pl.1.xz
/usr/share/man/man1/statusdat_demo.pl.1.xz
/usr/share/man/man1/test_configuration.pl.1.xz



%changelog

* Sat Dec 10 2011 kharec <kharec> 0.21.16-1.mga2
+ Revision: 180143
- imported package perl-Nagios-Object


* Sat Dec 10 2011 cpan2dist 0.21.16-1mga
- initial mageia release, generated with cpan2dist
